<?php
/**
 * One Page Blocks: Block Patterns
 *
 * @since One Page Blocks 1.0
 */

/**
 * Registers block patterns and categories.
 *
 * @since One Page Blocks 1.0
 *
 * @return void
 */
function one_page_blocks_register_block_patterns() {
	$one_page_blocks_block_pattern_categories = array(
		'one-page-blocks'    => array( 'label' => __( 'One Page Blocks', 'one-page-blocks' ) ),
	);

	$one_page_blocks_block_pattern_categories = apply_filters( 'one_page_blocks_block_pattern_categories', $one_page_blocks_block_pattern_categories );

	foreach ( $one_page_blocks_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'one_page_blocks_register_block_patterns', 9 );
